%define name cheesetracker
%define version 0.5.5
%define release 7mdk

Summary: Clone of the MS-DOS program Impulse Tracker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: cheese_48x48.png
Source2: cheese_32x32.png
Source3: cheese_16x16.png
Patch: cheesetracker-0.2.4-compile.patch.bz2
Patch1:	cheesetracker-0.5.5-gcc31.patch.bz2
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: libgtkmm1.2-devel
URL: http://www.reduz.com.ar/cheesetracker/

%description 
Cheese Tracker is a program to create module music that aims to have
an interface and feature set similar to that of Impulse Tracker. It
also has some advantages such as oscilloscopes over each pattern
track, more detailed sample info, a more detailed envelope editor,
etc. So far it only works in UNIX (since it uses GTK--), but all the
interface/audio code is fully modular and abstracted in individual
classes, which should make the porting of this program to other
platforms extremely easy.


%prep
%setup -q
rm -f install-sh mkinstalldirs missing
%patch
%patch1 -p1
chmod 644 examples/*

%build
aclocal
autoconf
automake -a -c
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%name
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="Cheesetracker"\
longtitle="A program for creating music modules"\
command="cheesetracker"\
icon="%{name}.png"
EOF
mkdir -p %buildroot%_iconsdir %buildroot%_miconsdir %buildroot%_liconsdir
cp %SOURCE1 %buildroot%_liconsdir/%name.png
cp %SOURCE2 %buildroot%_iconsdir/%name.png
cp %SOURCE3 %buildroot%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog NEWS COPYING examples docs/*
%_bindir/cheesetracker
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_menudir/%name

%changelog
* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-7mdk
- rebuild

* Tue Aug 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-6mdk
- revert last change, it was unneeded

* Mon Aug 19 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.5-5mdk
- Buildrequires libsigc++

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-4mdk
- call automake
- gcc 3.2-0.3mdk build

* Tue Jul 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-3mdk
- gcc 3.2 build

* Fri Jun  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-2mdk
- gcc3.1 patch, please test
- don't compress png icons

* Wed May  1 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.5-1mdk
- 0.5.5

* Mon Apr 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1

* Thu Apr 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add more docs
- add menu entry
- 0.5.0

* Tue Mar  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.7-1mdk
- 0.2.7

* Mon Mar  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- new release

* Sat Jan 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2.4-2mdk
- initial package
